Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\FieldType\RichText\RichTextStorage Class Reference
Inheritance diagram for eZ\Publish\Core\FieldType\RichText\RichTextStorage:

## Public Member Functions
| __construct (StorageGateway $gateway, LoggerInterface $logger=null)
| deleteFieldData (VersionInfo $versionInfo, array $fieldIds, array $context)
| Deletes field data for all $fieldIds in the version identified by $versionInfo. More...
| hasFieldData ()
| Checks if field type has external data to deal with. More...
| getIndexData (VersionInfo $versionInfo, Field $field, array $context)
| Get index data for external data for search backend. More...
Public Member Functions inherited from eZ\Publish\SPI\FieldType\GatewayBasedStorage
| __construct (StorageGateway $gateway)
| copyLegacyField (VersionInfo $versionInfo, Field $field, Field $originalField, array $context)
| This method is used exclusively by Legacy Storage to copy external data of existing field in main language to the untranslatable field not passed in create or update struct, but created implicitly in storage layer. More...
Public Member Functions inherited from eZ\Publish\SPI\FieldType\FieldStorage
| storeFieldData (VersionInfo $versionInfo, Field $field, array $context)
| Allows custom field types to store data in an external source (e.g. More...
| getFieldData (VersionInfo $versionInfo, Field $field, array $context)
| Populates $field value property based on the external data. More...

## Protected Attributes
| $logger
| $gateway
Protected Attributes inherited from eZ\Publish\SPI\FieldType\GatewayBasedStorage
| $gateway

## Detailed Description

Definition at line 18 of file RichTextStorage.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\RichText\RichTextStorage::__construct | ( | StorageGateway | $gateway,
|  | LoggerInterface | $logger = `null`
| ) |  |

Parameters

  \eZ\Publish\SPI\FieldType\StorageGateway | $gateway |
  \Psr\Log\LoggerInterface | $logger |

Definition at line 30 of file RichTextStorage.php.

References eZ\Publish\Core\FieldType\RichText\RichTextStorage\$gateway, and eZ\Publish\Core\FieldType\RichText\RichTextStorage\$logger.

## Member Function Documentation

## ◆ deleteFieldData()

eZ\Publish\Core\FieldType\RichText\RichTextStorage::deleteFieldData | ( | VersionInfo | $versionInfo,
|  | array | $fieldIds,
|  | array | $context
| ) |  |

Deletes field data for all $fieldIds in the version identified by $versionInfo.

Parameters

  \eZ\Publish\SPI\Persistence\Content\VersionInfo | $versionInfo |
  array | $fieldIds | Array of field IDs
  array | $context |

Returns
  bool

Implements eZ\Publish\SPI\FieldType\FieldStorage.

Definition at line 175 of file RichTextStorage.php.

## ◆ getIndexData()

eZ\Publish\Core\FieldType\RichText\RichTextStorage::getIndexData | ( | VersionInfo | $versionInfo,
|  | Field | $field,
|  | array | $context
| ) |  |

Get index data for external data for search backend.

Deprecated:
  Use eZ\Publish\SPI\FieldType\Indexable

Parameters

  \eZ\Publish\SPI\Persistence\Content\VersionInfo | $versionInfo |
  \eZ\Publish\SPI\Persistence\Content\Field | $field |
  array | $context |

Returns
  \eZ\Publish\SPI\Search\Field[]

Implements eZ\Publish\SPI\FieldType\FieldStorage.

Definition at line 192 of file RichTextStorage.php.

## ◆ hasFieldData()

eZ\Publish\Core\FieldType\RichText\RichTextStorage::hasFieldData | ( |  | ) |

Checks if field type has external data to deal with.

Returns
  bool

Implements eZ\Publish\SPI\FieldType\FieldStorage.

Definition at line 187 of file RichTextStorage.php.

## Member Data Documentation

## ◆ $gateway

eZ\Publish\Core\FieldType\RichText\RichTextStorage::$gateway
| protected

Definition at line 24 of file RichTextStorage.php.

Referenced by eZ\Publish\Core\FieldType\RichText\RichTextStorage\__construct().

## ◆ $logger

eZ\Publish\Core\FieldType\RichText\RichTextStorage::$logger
| protected

Definition at line 21 of file RichTextStorage.php.

Referenced by eZ\Publish\Core\FieldType\RichText\RichTextStorage\__construct().

The documentation for this class was generated from the following file:

- RichTextStorage.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.